org.eclipse.emf.compare.rcp.internal.match

## Class MatchEngineFactoryDescriptor

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor<T>
  - - org.eclipse.emf.compare.rcp.internal.extension.impl.LazyItemDescriptor<IMatchEngine.Factory>
    - - org.eclipse.emf.compare.rcp.internal.match.MatchEngineFactoryDescriptor

All Implemented Interfaces:
  Comparable<IItemDescriptor<IMatchEngine.Factory>>, IItemDescriptor<IMatchEngine.Factory>

    public class MatchEngineFactoryDescriptor
    extends LazyItemDescriptor<IMatchEngine.Factory>

Descriptor for `IMatchEngine.Factory`.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`EMPTY_STRING`

### Constructor Summary

Constructors
Constructor and Description
`MatchEngineFactoryDescriptor(String label, String description, int rank, org.eclipse.core.runtime.IConfigurationElement config, String id)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IMatchEngine.Factory` `getItem()` Create an item.

### Methods inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.LazyItemDescriptor

`getConfig`

### Methods inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`compareTo, getDescription, getID, getItemFunction, getLabel, getRank, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MatchEngineFactoryDescriptor

    public MatchEngineFactoryDescriptor(String label,
                                        String description,
                                        int rank,
                                        org.eclipse.core.runtime.IConfigurationElement config,
                                        String id)

Constructor.

Parameters:
  `label` - `AbstractItemDescriptor.getLabel()`
  `description` - `AbstractItemDescriptor.getDescription()`
  `rank` - `AbstractItemDescriptor.getRank()`
  `config` - `IConfigurationElement` element used to create this item.
  `id` - `AbstractItemDescriptor.getID()`

### Method Detail

#### getItem

    public IMatchEngine.Factory getItem()

Create an item. Set the rank of the factory and set configuration if needed.

Specified by:
  `getItem` in interface `IItemDescriptor<IMatchEngine.Factory>`
Overrides:
  `getItem` in class `LazyItemDescriptor<IMatchEngine.Factory>`
Returns:
  a item instance